# Generated by rust2rpm 27
%bcond_without check
%global debug_package %{nil}

%global crate ring

Name:           rust-ring
Version:        0.17.14
Release:        %mkrel 1
Summary:        Safe, fast, small crypto using Rust

Group:          Development/Rust
BuildArch:      noarch

License:        Apache-2.0 AND ISC AND (MIT OR Apache-2.0)
URL:            https://crates.io/crates/ring
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          ring-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * update package.license in metadata for code included from once_cell
# * drop unstable / WASM-only features
Patch:          ring-fix-metadata.diff
# * Downstream-ony: never use pre-generated object files. We must not package
#   pre-generated object files from upstream, and we would prefer not to package
#   .o files compiled at rust-ring build time, either.
Patch10:        0001-Downstream-only-never-use-pre-generated-object-files.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  gcc
BuildRequires:  rust-getrandom0.2-devel

%global _description %{expand:
Safe, fast, small crypto using Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       gcc
Requires:       rust-getrandom0.2+default-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE-BoringSSL
%license %{crate_instdir}/LICENSE-other-bits
%license %{crate_instdir}/src/polyfill/once_cell/LICENSE-APACHE
%license %{crate_instdir}/src/polyfill/once_cell/LICENSE-MIT
%license %{crate_instdir}/third_party/fiat/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dev_urandom_fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev_urandom_fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "dev_urandom_fallback" feature of the "%{crate}" crate.

%files       -n %{name}+dev_urandom_fallback-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+less-safe-getrandom-custom-or-rdrand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+less-safe-getrandom-custom-or-rdrand-devel %{_description}

This package contains library source intended for building other packages which
use the "less-safe-getrandom-custom-or-rdrand" feature of the "%{crate}" crate.

%files       -n %{name}+less-safe-getrandom-custom-or-rdrand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+less-safe-getrandom-espidf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+less-safe-getrandom-espidf-devel %{_description}

This package contains library source intended for building other packages which
use the "less-safe-getrandom-espidf" feature of the "%{crate}" crate.

%files       -n %{name}+less-safe-getrandom-espidf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+slow_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slow_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "slow_tests" feature of the "%{crate}" crate.

%files       -n %{name}+slow_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "test_logging" feature of the "%{crate}" crate.

%files       -n %{name}+test_logging-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# We must not package pre-generated object files from upstream, and we would
# prefer not to package .o files compiled at rust-ring build time, either.
# See Patch10. We just remove the entire pregenerated/ directory.
#
# https://docs.fedoraproject.org/en-US/packaging-guidelines/what-can-be-packaged/#prebuilt-binaries-or-libraries
# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_packaging_static_libraries
rm -rv pregenerated
# Verify that there are no remaining pre-generated object files.
find . -type f -name '*.o' -print -delete

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * data for unit and integration tests are not included in published crates
%cargo_test -- --doc
%endif



%changelog
* Sat Apr 26 2025 wally <wally> 0.17.14-1.mga10
+ Revision: 2178811
- new version 0.17.14
- update RPM group to Development/Rust

* Sun Oct 20 2024 wally <wally> 0.17.8-1.mga10
+ Revision: 2109077
- mageiafy .spec
- imported package rust-ring


## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.8-1
- Update to version 0.17.8; Fixes RHBZ#2264699

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.7-1
- Update to version 0.17.7; Fixes RHBZ#2253082

* Thu Nov 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.6-1
- Update to version 0.17.6; Fixes RHBZ#2251978

* Fri Oct 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.5-1
- Update to version 0.17.5; Fixes RHBZ#2241702

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Apr 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-7
- Remove ExcludeArch but only compile on supported architectures

* Sat Mar 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-6
- Regenerate with rust2rpm v24 and fix package.license in metadata

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-2
- Skip doctests on i686 to work around LLVM codegen issues

* Thu Jan 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-1
- Update to version 0.16.20; Fixes RHBZ#2033456

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 15:05:55 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.16.19-1
- Update to 0.16.19

* Thu Jul 30 2020 Peter Robinson <pbrobinson@fedorapeople.org> - 0.16.15-1
- Initial package

## END: Generated by rpmautospec
